<div class="plc user">
    <div class="plc-menu">
        客户端作业管理
    </div>
    <div class="plc-content flex-center">
        <div class="row andon-content-block">
            <div class="col-sm-12 andon-content-mini-left">
                <div class="search-group-input-btn">
                    <div class="col-sm-10">
                        <div class="nbox-group-input andon-input-wrapper" ng-class="{'focus':(focusInput), 'ad-disabled':(clientWorkConfig.editRw && !clientWorkConfig.clientWorkBtnHiddenCancel)}">
                            <input ng-init="focusInput=false"
                                   ng-focus="focusInput=true"
                                   ng-blur="focusInput=false"
                                   type="text" value=""
                                   ng-disabled="clientWorkConfig.editRw && !clientWorkConfig.clientWorkBtnHiddenCancel"
                                   placeholder="点击搜索图标可查询客户端作业"
                                   ng-class="{'work-placeholder':clientWorkConfig.isNoValue}"
                                   ng-change="clientWorkInputChanged();"
                                   class="form-control ad-left-child"
                                   ng-model="clientWorkConfig.searchClientWork"
                                   ng-keyup="enterKeyClientWork($event)">
                            <i class="fa fa-search ad-right-child focus"
                               ng-click="modalClientSearchResult()"></i>
                        </div>
                    </div>
                    <div class="col-sm-1">
                        <button type="button"
                                ng-disabled="clientWorkConfig.btnDisabledQuery" 
                                class="btn btn btn-primary"
                                ng-click="queryClientWork()">
                            查询
                        </button></div>
                    <div class="col-sm-1">
                        <button type="button"
                                class="btn btn btn-primary"
                                ng-click="addClientWork()"
                                ng-if="clientWorkConfig.editRw">
                            新建
                        </button></div>

                </div>
            </div>
            <div class="col-sm-12">
                <div class="nav-tab-mini no-tab-save">
                    <div ng-switch="clientWorkConfig.message">
                        <div ng-switch-when="NA">
                            <div class="flex-center no-such-activity">
                                <p>无此作业</p>
                            </div>

                        </div>
                        <div ng-switch-default>
                            <form class="row form-horizontal" role="form">
                                <div class="form-group">
                                    <label  class="um-col-0-1 um-control-label text-right">描述</label>

                                    <div class="col-sm-9 col-xs-9 andon-content-mini">
            <textarea type="text" class="form-control" id="description"
                      placeholder="" rows="2" maxlength="40"
                      ng-disabled="clientWorkConfig.clientWorkIsNoEdit"
                      ng-model="clientWorkConfig.clientWorkDatas.description"
                    ng-blur="checkIsChanged()"></textarea>
                                    </div>

                                </div>
                                <div class="form-group ">
                                    <div class="checkbox checkbox-primary checkbox-inline checkbox-option">
                                        <input type="checkbox" id="inlineCheckbox1"
                                               value="option1" checked=""
                                               ng-disabled="clientWorkConfig.clientWorkIsNoEdit"
                                               ng-model="clientWorkConfig.clientWorkDatas.visible"
                                                ng-change="checkIsChanged()">
                                        <label for="inlineCheckbox1">启用</label>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="um-col-0-1 um-control-label text-right">类型</label>


                                    <div class="col-sm-9 col-xs-9 andon-content-mini">
                                        <ui-select class="andon-content-ui-select"
                                                   ng-disabled="clientWorkConfig.clientWorkIsNoEdit"
                                                   ng-placeholder="请输入"
                                                   ng-model="clientWorkConfig.currentType"
                                                ng-click="checkIsChanged()">
                                            <ui-select-match placeholder="--- 请选择 ---">
                                                <!--ng-bind="$select.selected.value"-->
                                                <span ng-bind="clientWorkConfig.currentType.value"></span>
                                            </ui-select-match>
                                            <!-- <ui-select-header>请选择</ui-select-header> -->
                                            <ui-select-no-choice>
                                                <a href ng-click="$select.toggle($event);">暂无数据</a>
                                            </ui-select-no-choice>
                                            <ui-select-choices
                                                    repeat="items in (clientWorkConfig.typeList)">
                                                <span ng-bind-html="items.value"></span>
                                            </ui-select-choices>
                                        </ui-select>
                                    </div>
                                </div>

                            </form>
                            <div class="row">
                                <div class="col-sm-12 flex-center">
                                    <div class="one-line-btns">
                                        <button type="button" class="btn btn-primary btn-flex-center"
                                                placeholder=""
                                                ng-disabled="clientWorkConfig.clientWorkBtnDisEdit"
                                                ng-click="clientWorkEdit()"
                                                ng-if="clientWorkConfig.editRw">
                                            编辑</button>
                                    </div>
                                    <div class="one-line-btns">
                                        <button type="button" class="btn btn-primary btn-flex-center"
                                                placeholder=""
                                                ng-hide="clientWorkConfig.clientWorkBtnHiddenCancel"
                                                ng-click="clientWorkCancel()">取消</button>
                                    </div>
                                    <div class="one-line-btns">
                                        <button type="button" class="btn btn-primary btn-flex-center"
                                                placeholder=""
                                                ng-hide="clientWorkConfig.clientWorkBtnHiddenSave"
                                                ng-click="clientWorkSave()">保存</button>
                                    </div>

                                </div>
                            </div>
                        </div>
                    </div>

                </div>
            </div>


        </div>
    </div>
</div>


